#
# spec file for package python-poppler-qt4
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 LISA GmbH, Bingen, Germany.
# Copyright (c) 2012 Johannes Engel <jcnengel@gmail.com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-poppler-qt4
BuildRequires:  libpoppler-qt4-devel
BuildRequires:  python3-qt4-devel
Summary:        Python binding to poppler-qt4
License:        LGPL-2.1+
Group:          Development/Libraries/Python
Version:        0.24.0
Release:        4.2
Url:            https://github.com/wbsoft/python-poppler-qt4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.gz

%description
Python binding to poppler-qt4


%prep
%setup -q

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root="%{buildroot}"

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE README.rst TODO
%{python3_sitearch}/popplerqt4*.so
%{python3_sitearch}/python_poppler_qt4*.egg-info

%changelog
* Sun Jun 14 2015 cornelis@solcon.nl
- Switch to python 3
* Sun Mar  8 2015 cornelis@solcon.nl
- Update to 0.24.0:
  * Added version() function, returning the version of python-poppler-qt4
    as a tuple of ints e.g. (0, 18, 3)
  * Added poppler_version() function, returning the version of the Poppler-
    Qt4 library (if the version could be determined on build time), as a
    tuple of ints, e.g. (0, 24, 5). If on build time the version of
    Poppler-Qt4 could not be determined and was not specified, an empty
    tuple might be returned.
* Fri Feb 13 2015 cornelis@solcon.nl
- Update to 0.18.2:
  * Support PyQt's "new" build system
* Fri Apr  4 2014 cornelis@solcon.nl
- Update description
* Thu Apr  3 2014 cornelis@solcon.nl
- Update to 0.18.0:
  * Works with both Python 2 and Python 3 (tested: 2.6, 2.7, 3.2.3)
  * some API updates
  * fixed FormField issue
  * setup.py circumvents sipdistutils < 4.14.2 not working with python 3
- Update to 0.18.1:
  * Tested with Python 2.6, 2.7, 3.2, 3.3
  * Fix setup.py error when using Python 2.6 (issue #1)
- Correct license to LGPL-2.1+
- Clean up spec file a bit
* Sat Nov 24 2012 jcnengel@gmail.com
- Update to 0.16.3
* Sat Sep 22 2012 hpj@urpla.net
- apply current SVN changes
* Sat Sep 22 2012 hpj@urpla.net
- update to 0.16.2
* Sun Apr 24 2011 hpj@urpla.net
- 0.16.1: initial version
